Bug 434864 - pata_it821x: slave detection
pata_it821x: slave detection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
http://www.linuxquestions.org/questio...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 16:39 EST by Manuel João Silva
Modified: 2008-03-26 16:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.24.3-50.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (28.14 KB, text/plain)
2008-02-25 16:40 EST, Manuel João Silva
no flags Details
lspci -v (10.95 KB, application/octet-stream)
2008-02-25 16:41 EST, Manuel João Silva
no flags Details
dmesg 2.6.24.3-12.fc8 (29.37 KB, application/octet-stream)
2008-03-10 19:46 EDT, Manuel João Silva
no flags Details
lspci -v 2.6.24.3-12.fc8 (10.95 KB, application/octet-stream)
2008-03-10 19:47 EDT, Manuel João Silva
no flags Details

  None (edit)
Description Manuel João Silva 2008-02-25 16:39:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
After instaling Fedora i've notice that 2 disk where missing, these two disk are in a PCI IDE controler: 01:01.0 RAID bus controller: Integrated Technology Express, Inc. IT/ITE8212 Dual channel ATA RAID controller (rev 13)

I've tried to boot with pata_it821x noraid=1 but no success.

Will attach dmesg and lspci -v

Version-Release number of selected component (if applicable):
kernel-2.6.23.15-137.fc8

How reproducible:
Always


Steps to Reproduce:
1. boot the computer
2. disks are not mounted

Actual Results:


Expected Results:


Additional info:
Comment 1 Manuel João Silva 2008-02-25 16:40:08 EST
Created attachment 295846 [details]
dmesg output
Comment 2 Manuel João Silva 2008-02-25 16:41:20 EST
Created attachment 295847 [details]
lspci -v
Comment 3 Chuck Ebbert 2008-02-25 17:08:34 EST
Please try the 2.6.24 kernel from updates-testing. it821x had some weird bugs
that were recently fixed.
Comment 4 Alan Cox 2008-02-26 08:25:01 EST
2.6.23 will only see master devices on some firmware revs of the it821x, and
also spew warnings about drive diagnostics. 2.6.24 knows about these firmware
bugs in the it821x and works around them.
Comment 5 Chuck Ebbert 2008-02-29 00:44:19 EST
We need to know if the 2.6.12.3-12 kernel works. It was put into the
updates-testing repository today.

Comment 6 Manuel João Silva 2008-03-10 19:44:17 EDT
Sorry for the late update, i've not been close to my pc so I can run proper
test, I'm back now.

I'm using a this moment 2.6.24.3-12.fc8 and still can't see the missing drives
will again atach dmesg and lspci -v.

Gonna try the 2.6.12.3-12 now, brb with some feddback.
Comment 7 Manuel João Silva 2008-03-10 19:46:27 EDT
Created attachment 297534 [details]
dmesg 2.6.24.3-12.fc8

dmesg output using 2.6.24.3-12.fc8
Comment 8 Manuel João Silva 2008-03-10 19:47:50 EDT
Created attachment 297535 [details]
lspci -v 2.6.24.3-12.fc8

lspci -v output usgin 2.6.24.3-12.fc8 kernel
Comment 9 Manuel João Silva 2008-03-10 20:20:14 EDT
Chuck Ebbert,

Do you really mean 2.6.12.3-12 or 2.6.24.3-12?
Comment 10 Chuck Ebbert 2008-03-12 19:02:16 EDT
(In reply to comment #9)
> Chuck Ebbert,
> 
> Do you really mean 2.6.12.3-12 or 2.6.24.3-12?

yes.
Comment 11 Chuck Ebbert 2008-03-12 19:02:39 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > Chuck Ebbert,
> > 
> > Do you really mean 2.6.12.3-12 or 2.6.24.3-12?
> 
> yes.

err, yes, 2.6.24.3-12

Comment 12 Manuel João Silva 2008-03-12 19:11:29 EDT
I've test it, the last attachments was using this kern, still can find my disks
Comment 13 Alan Cox 2008-03-17 14:28:14 EDT
Ah ok - still needs this segment from 2.6.25-rc which didn't make 2.6.24 only
2.6.24-mm


@@ -947,8 +1145,8 @@ unsigned int ata_dev_try_classify(struct ata_device *dev,
        if (r_err)
                *r_err = err;
  
-       /* see if device passed diags: if master then continue and warn later *
-       if (err == 0 && dev->devno == 0)
+       /* see if device passed diags: continue and warn later */
+       if (err == 0)
                /* diagnostic fail : do nothing _YET_ */
                dev->horkage |= ATA_HORKAGE_DIAGNOSTIC;
        else if (err == 1)
Comment 14 Chuck Ebbert 2008-03-18 12:05:14 EDT
None of that patch made 2.6.24.  Added to 2.6.24.3-42.
Comment 15 Fedora Update System 2008-03-20 23:15:22 EDT
kernel-2.6.24.3-50.fc8 has been submitted as an update for Fedora 8
Comment 16 Fedora Update System 2008-03-21 18:16:40 EDT
kernel-2.6.24.3-50.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2630
Comment 17 Fedora Update System 2008-03-26 13:14:51 EDT
kernel-2.6.24.3-50.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Manuel João Silva 2008-03-26 16:59:01 EDT
yap! it's working now. Thank u very mutch :)

Note You need to log in before you can comment on or make changes to this bug.